Bug 1741176 - Maintenance process should be driven by NodeMaintenance status
Summary: Maintenance process should be driven by NodeMaintenance status
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Metal3 Plugin
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.2.0
Assignee: Jiri Tomasek
QA Contact: Udi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-14 12:37 UTC by Jiri Tomasek
Modified: 2019-10-16 06:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-16 06:35:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 2354 0 None None None 2019-08-14 13:00:20 UTC
Red Hat Product Errata RHBA-2019:2922 0 None None None 2019-10-16 06:36:10 UTC

Description Jiri Tomasek 2019-08-14 12:37:45 UTC
Description of problem:
Node maintenance is not a quick process, UI should track the maintenance process including transitional states (Starting maintenance -> under maintenance -> stopping maintenance)

Host actions restrictions need to get updated to take transitional maintenance states into account

In case of error state, UI should show the last error message in status popover.

Comment 2 Artem Hrechanychenko 2019-09-12 12:55:34 UTC
VERIFIED

Comment 3 errata-xmlrpc 2019-10-16 06:35:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2922


Note You need to log in before you can comment on or make changes to this bug.